#!/usr/bin/perl
# build-word-list.pl file[s]
# each file is read and all "words" from it are added to a dictionary
# the resulting list is sorted (grouping case insensitively but sorting sensitively)
# and printed.
my %words = ();
while (my $line = <>) {
  $line =~ s/[^-'a-zA-Z]+/ /g;
  foreach my $word (split /\s+/, $line) {
    $word =~ s/^[-']+//g;
    $word =~ s/[-']+$//g;
    $words{$word} = 1;
  }
}
my @list = sort { my $aa = lc $a; my $bb = lc $b; $aa cmp $bb || $a cmp $b; } keys %words;
%words = ();
foreach my $word (@list) {
  print "$word\n";
}
